Loading...
Searching...
No Matches
icu::Locale::Iterator Class Referenceabstract

A Locale iterator interface similar to a Java Iterator<Locale>. More...

`#include <locid.h>`

Inheritance diagram for icu::Locale::Iterator:

## Public Member Functions

virtual | ~Iterator ()
virtual UBool | hasNext () const =0
virtual const Locale & | next ()=0

## Detailed Description

A Locale iterator interface similar to a Java Iterator<Locale>.

Stable
  ICU 65

Definition at line 1035 of file locid.h.

## Constructor & Destructor Documentation

## ~Iterator()

virtual icu::Locale::Iterator::~Iterator | ( |  | ) |

virtual

Stable
  ICU 65

## Member Function Documentation

## hasNext()

virtual UBool icu::Locale::Iterator::hasNext | ( |  | ) | const

pure virtual

Returns
  true if next() can be called again.

Stable
  ICU 65

Implemented in icu::Locale::ConvertingIterator< Iter, Conv >, and icu::Locale::RangeIterator< Iter >.

## next()

virtual const Locale & icu::Locale::Iterator::next | ( |  | ) |

pure virtual

Returns
  the next locale.

Stable
  ICU 65

Implemented in icu::Locale::ConvertingIterator< Iter, Conv >, and icu::Locale::RangeIterator< Iter >.

References icu::Locale::Locale().

The documentation for this class was generated from the following file:

- common/unicode/locid.h